package com.jiayue.ipfcst.common.data.constant.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 场站状态枚举
 *
 * @author bizy
 * @version 3.0
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ElectricFieldStatrsEnum {
	E1(1, "未运维"),

	E2(2, "运维中");

	private Integer code;
	private String message;
}
