package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * 集电线信息
 *
 * @author: xiuwei
 * @version:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class CollectingPowerLineInfo extends AbstractEquipmentInfo {

	/**
	 * 编号
	 */
	private String code;

	public CollectingPowerLineInfo() {
		super.setEquipmentType(EquipmentTypeEnum.JDX);
	}
}
