package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.AbstractForecastPower;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.math.BigDecimal;

/**
 * 全年预测功率实体
 *
 * @author shd
 * @version 1.0
 * @since 2022-03-31
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class ForecastPowerThroughoutTheYear extends AbstractForecastPower {

    /*预测的哪年哪月*/
    @Column
    private String yearMonth;

    /*光伏：辐射
    * 风电：风速
    * */
    @Column
    private BigDecimal value;

}
