package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * 附属设备信息
 *
 * @author xiuwei
 * @date 2022/06/08
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class SubsidiaryEquipmentInfo extends AbstractEquipmentInfo {

    /**
     * 编号
     */
    private String code;

    /**
     * 设备类型
     */
    protected EquipmentTypeEnum equipmentType;


}
