package com.jiayue.ipfcst.common.data.repository;


import com.jiayue.ipfcst.common.data.entity.AccuracyPassRateDayOne;

import java.util.List;

/**
 * 准确合格率仓储(日)
 *
 * @author zcl
 * @version 1.0
 * @since 2022/7/19 15:15
 */
public interface AccuracyPassRateDayOneRepository extends BaseRepository<AccuracyPassRateDayOne, Integer> {

    /**
     *
     * @param time
     * @return
     */
    List<AccuracyPassRateDayOne> findByTime(Long time);

    List<AccuracyPassRateDayOne> findByTimeBetween(Long startTime, Long endTime);
}
