package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.AccuracyPassRate;
import com.jiayue.ipfcst.common.data.entity.AccuracyPassRateDay;
import java.util.List;

/**
 * 准确合格率仓储(日)
 *
 * @author zcl
 * @version 1.0
 * @since 2022/7/19 15:15
 */
public interface AccuracyPassRateDayRepository extends BaseRepository<AccuracyPassRateDay, Integer> {

    /**
     *
     * @param time
     * @return
     */
    List<AccuracyPassRateDay> findByTime(Long time);

    List<AccuracyPassRateDay> findByTimeBetween(Long startTime, Long endTime);
}
