package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.AccuracyPassRate;
import com.jiayue.ipfcst.common.data.entity.ElectricField;

import java.util.List;

/**
 * 准确合格率仓储
 *
 * @author yh
 * @version 1.0
 * @since 2019/8/5 9:15
 */
public interface AccuracyPassRateRepository extends BaseRepository<AccuracyPassRate, Integer> {

    /**
     *
     * @param time
     * @return
     */
    List<AccuracyPassRate> findByTime(Long time);

    List<AccuracyPassRate> findByTimeBetween(Long startTime,Long endTime);
}
