package com.jiayue.ipfcst.common.data.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.NoRepositoryBean;

/**
 * 基础信息仓储，减少仓储繁琐代码
 *
 * @author bizy
 * @version 1.0
 * @since 2020.04.23 11:13
 */
@NoRepositoryBean
public interface BaseRepository<T, I> extends JpaRepository<T, I>, JpaSpecificationExecutor<T> {

}
