package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.DataLimitation;

import java.util.List;

/**
 * 数据限制仓储
 *
 * @author tl
 * @version 3.0
 */
public interface DataLimitationRepository extends BaseRepository<DataLimitation, Integer>{
    List<DataLimitation> findByLimitTimeBetween(Long startTime,Long endTime);

    void deleteByLimitTimeBetween(Long startTime,Long endTime);

}
