package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.FileAnalysisRecord;

import java.util.Date;
import java.util.List;

/**
 * 文件解析仓储
 */
public interface FileAnalysisRecordRepository
		extends BaseRepository<FileAnalysisRecord, Integer> {
	/**
	 * 按时间段查询数据
	 *
	 * @param startTime
	 * @param endTime
	 */
	List<FileAnalysisRecord> findByCreateTimeBetween(Date startTime, Date endTime);
}
