package com.jiayue.ipfcst.common.data.repository;


import com.jiayue.ipfcst.common.data.entity.ForecastPowerShortTerm;

import java.util.List;

/**
 * 实时短期预测功率仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 10:57
 */
public interface ForecastPowerShortTermRepository extends BaseRepository<ForecastPowerShortTerm, Integer> {


	/**
	 * 按时间段删除数据
	 *
	 * @param startTime
	 * @param endTime
	 */
	void deleteByForecastTimeBetween(Long startTime, Long endTime);

	/**
	 * 按时间段查询数据
	 *
	 * @param startTime
	 * @param endTime
	 */
	List<ForecastPowerShortTerm> findByForecastTimeBetween(Long startTime, Long endTime);


}