package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.ForecastPowerThroughoutTheYear;

import java.util.List;

/**
 * @author shd
 * @since 2022-03-31
 */
public interface ForecastPowerThroughoutTheYearRepository extends BaseRepository<ForecastPowerThroughoutTheYear, Integer>{


    /**
     * 根据年月字段查询
     * @param yearMonth
     * @return
     */
    List<ForecastPowerThroughoutTheYear> findByYearMonthLike(String yearMonth);



    void deleteAllByForecastTimeBetween(Long startTime,Long endTime);

}
