package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.InverterStatusData;
import com.jiayue.ipfcst.common.data.entity.WeatherStationStatusData;
import com.jiayue.ipfcst.common.data.repository.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 逆变器数据实体仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/6 13:00
 */
public interface InverterStatusDataRepository extends BaseRepository<InverterStatusData, Integer> {


    List<InverterStatusData> findByTimeBetween(Date startTime, Date endTime);
    List<InverterStatusData> findByTimeBetweenAndEquipmentNoIn(Date startTime, Date endTime,Integer[] no);
    List<InverterStatusData> findByTimeBetweenAndEquipmentNo(Date startTime, Date endTime,Integer no);
}
