package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.PrValue;

import java.util.Date;
import java.util.List;

/**
 * pr值仓储
 * @author fxy
 * @version 1.0
 * @since 2022/10/26 11:23
 */
public interface PrValueRepository extends BaseRepository<PrValue, Integer>{
    /**
     * 根据开始结束时间查询pr值信息
     * @param startTime
     * @param endTime
     * @return
     */
    List<PrValue> findByTimeBetween(Date startTime, Date endTime);

}
