package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.WindTowerInfo;

import java.util.List;

/**
 * 测风塔设备信息实体仓储
 *
 * @author yh
 * @version 1.0
 * @since 2019/8/6 13:10
 */
public interface WindTowerInfoRepository extends BaseRepository<WindTowerInfo, Integer> {
    /**
     * 根据ID排序查出所有 测风塔设备信息
     * yh
     */
    List<WindTowerInfo> findAllByOrderByIdAsc();

    WindTowerInfo findByName(String name);
}
