package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.WindTurbineInfo;

import java.util.List;

/**
 * 风机实体仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/6 13:02
 */
public interface WindTurbineInfoRepository extends BaseRepository<WindTurbineInfo, Integer> {
    /**
     * 根据ID排序查出所有风机设备信息
     * yh
     */
    List<WindTurbineInfo> findAllByOrderByIdAsc();

    WindTurbineInfo findByName(String name);
}
