package com.jiayue.ipfcst.common.data.strategy;

import com.jiayue.ipfcst.common.core.web.vo.ResponseVO;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@ApiResponses({
        @ApiResponse(code = 200, message = "成功", response = ResponseVO.class),
        @ApiResponse(code = 401, message = "权限失败", response = ResponseVO.class),
        @ApiResponse(code = 403, message = "超时登录", response = ResponseVO.class),
        @ApiResponse(code = 500, message = "服务器错误", response = ResponseVO.class)
})
public @interface ApiMyResponse {
    // 可以添加自定义属性
}
