export default {
  ProtocolDataType: [{label: '遥信开关量', value: 'A', key: 0},
    {label: '+AB 无符号整型', value: 'P_AB', key: 1},
    {label: '±AB 有符号整型', value: 'PM_AB', key: 2},
    {label: '+BA 无符号整型反转', value: 'P_BA', key: 3},
    {label: '±BA 有符号整型反转', value: 'PM_BA', key: 4},
    {label: '+AABB', value: 'P_AABB', key: 5},
    {label: '±AABB', value: 'PM_AABB', key: 6},
    {label: '+BBAA', value: 'P_BBAA', key: 7},
    {label: '±BBAA', value: 'PM_BBAA', key: 8},
    {label: 'ABCD', value: 'ABCD', key: 9},
    {label: 'CDAB', value: 'CDAB', key: 10},
    {label: 'DCBA', value: 'DCBA', key: 11},
    {label: 'BADC', value: 'BADC', key: 13}
  ],
  ProtocolDataTypeOf104: [{label: '遥信开关量', value: 'A', key: 0},
    {label: 'ABCD', value: 'ABCD', key: 9},
  ],

  ProtocolDataTypeOfCDT: [{label: '遥信开关量', value: 'A', key: 0},
    {label: '+AB', value: 'P_AB', key: 1},
  ],


  geterDataEquipmentTypeEnum: [
    {value: 'WEATHERSTATION', label: '气象站'},
    {value: 'INVERTER', label: '逆变器'},
    {value: 'WINDTOWER', label: '测风塔'},
    {value: 'WINDTURBINE', label: '风机'}
  ],
  equipmentTypeEnum: [
    {value: 'POWERSTATION', label: '光伏发电站', key: 0},
    {value: 'POWERSTATION2', label: '风电发电站', key: 21},
    {value: 'WEATHERSTATION', label: '气象站', key: 1},
    {value: 'INVERTER', label: '逆变器', key: 2},
    {value: 'WINDTOWER', label: '测风塔', key: 3},
    {value: 'WINDTURBINE', label: '风机', key: 4},
    {value: 'BOOSTERSTATION', label: '升压站', key: 6},
    {value: 'AGC_AVC', label: 'AGC_AVC', key: 7},
    {value: 'BWD', label: '并网点', key: 8},
    {value: 'CYB', label: '厂用变', key: 9},
    {value: 'JDX', label: '集电线', key: 10},
    {value: 'SYZMX', label: '升压站母线', key: 11},
    {value: 'WGBC', label: '无功补偿', key: 12},
    {value: 'DLQ', label: '断路器', key: 13},
    {value: 'DZ', label: '刀闸', key: 14},
    {value: 'JDDZ', label: '接地刀闸', key: 15},
    {value: 'DXFDJ', label: '等效发电机', key: 16},
    {value: 'QBB', label: '启备变', key: 17},
    {value: 'LLB', label: '联络变', key: 18},
    {value: 'FZ', label: '方阵', key: 19},
    {value: 'XB', label: '箱变', key: 20}
   ],
  geterDataSourceEnum: [{value: 'GATHER', label: '外部接入'},
    {value: 'GENERATE', label: '公式生成'}
  ],
  senderDataSourceEnum: [{value: 'GATHER', label: '外部接入'},
    /* { value: 'GENERATE', label: '公式生成' },*/
    {value: 'FORECAST', label: '预测生成'}
  ],
  forecastType: [{label: '短期可用功率', value: 'SHORT_AVAILABLE', key: '0'},
    {label: '短期理论功率', value: 'SHORT_THEORETICAL', key: '1'},
    {label: '超短期可用功率', value: 'ULTRA_SHORT_AVAILABLE', key: '2'},
    {label: '超短期理论功率', value: 'ULTRA_SHORT_THEORETICAL', key: '3'}
  ]
}
