package com.jiayue.ipfcst.aop;

import java.lang.annotation.*;

/**
 * 保存校验注解
 *
 * @author bizy
 * @version 3.0
 */
@Inherited
@Target({
        ElementType.TYPE, ElementType.METHOD
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SaveValidate {
    /**
     * 方法描述
     */
    String desc() default "";
}
