package com.jiayue.ipfcst.console.job;

import com.jiayue.ipfcst.console.service.ForecastPowerUltraShortTermService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 超短期执行任务
 *
 * @author zzy
 * @version 3.0
 */
@Service @EnableScheduling public class ForecastPowerUltraShortTermJob {

  @Autowired private ForecastPowerUltraShortTermService forecastPowerUltraShortTermService;

  @Scheduled(fixedDelay = 60000)
  public void executeForecast() {
    this.forecastPowerUltraShortTermService.executeForecast();
  }

}
