package com.jiayue.ipfcst.console.service;

import com.jiayue.ipfcst.common.data.entity.DataLimitationLog;
import com.jiayue.ipfcst.common.data.entity.ManualInterventionLog;
import com.jiayue.ipfcst.common.data.repository.DataLimitationLogRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DataLimitationLogService {
  @Autowired
  private DataLimitationLogRepository dataLimitationLogRepository;


  public List<DataLimitationLog> queryDataLimitationLog(Long startTime, Long endTime){
    List<DataLimitationLog> dataLimitationLogList = dataLimitationLogRepository.findByOperationalTimeBetweenOrderByOperationalTimeDesc(startTime,endTime);
    return dataLimitationLogList;
  }


}
