package com.jiayue.ipfcst.dataexchange.repository;

import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import com.jiayue.ipfcst.common.data.entity.EquipmentAttribute;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

/**
 * 设备属性表述操作仓库
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
public interface EquipmentAttributeRepository extends JpaRepository<EquipmentAttribute, Integer>, JpaSpecificationExecutor<EquipmentAttribute> {
  Page<EquipmentAttribute> findAllByEquipmentType(EquipmentTypeEnum equipmentType, Pageable pageable);
}
