package com.jiayue.ipfcst.fileupload.dto;

import lombok.Data;

/**
 * 上报日志JsonDTO
 *
 * @author xsl
 * @version 2.0
 */
@Data
public class FileUploadJsonDto {
    // 电网编号(场站标识)
    private String gid;
    // 日志类型(DQ、CDQ、DQUSE、CDQUSE、THEORY、FJ、CFT、NBQ、QXZ)
    private String type;
    // 日志来源(SYJY)
    private String source = "SYJY";
    // 服务类型(submit)
    private String service = "submit";
    // 系统时间戳(上报给电网时间)
    private String since;
    // 业务文件时间（预测时刻/实测时刻）
    private String timestamp;
    // 上报文件名称
    private String file;
    // 上报状态
    private String status;
    // 上报方式
    private String reporttype = "102";
}
