package com.jiayue.ipfcst.controller;

import com.jiayue.ipfcst.common.core.web.vo.ResponseVO;
import com.jiayue.ipfcst.service.EquipmentAttributeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
 * 接入数据属性获取restful接口
 *
 * @author yh
 * @version 1.0
 * @since 2019/8/7 10:12
 */
@Slf4j
@RestController
@RequestMapping("EquipmentAttribute")
public class EquipmentAttributeController {
  @Autowired
  private EquipmentAttributeService equipmentAttributeService;

  @GetMapping("/findWindtower")
  public ResponseVO findByWindtowerAttribute(){
    Map<String, String> byEquipmentTypeforWINDTOWER = equipmentAttributeService.findByEquipmentTypeforWINDTOWER();
    return ResponseVO.success(byEquipmentTypeforWINDTOWER);
  }

}
