package com.jiayue.ipfcst.common.data.constant.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 反馈文件状态枚举
 * @author zy
 * @version 1.0
 * @since 2019/8/19 8:59
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum FeedbackFileStatusEnum {
	E1(1, "获取成功"),
	E2(0, "获取失败");
	private Integer code;
	private String message;

}
