package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * AGC AVC 设备信息
 *
 * @author: xiuwei
 * @version:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@ApiModel("AGC_AVC实体类")
public class AGC_AVCInfo extends AbstractEquipmentInfo {
	public AGC_AVCInfo() {
		super.setEquipmentType(EquipmentTypeEnum.AGC_AVC);
	}
}
