package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * 升压站的信息
 *
 * @author: xiuwei
 * @version:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class BoosterStationInfo extends AbstractEquipmentInfo {
	public BoosterStationInfo() {
		super.setEquipmentType(EquipmentTypeEnum.BOOSTERSTATION);
	}
}
