package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * 环境监测仪实体
 * modifyInfo
 * 修唯	2020.3.26		修改类名为 WeatherStationInfo
 *
 * @author zzy
 * @version 1.0
 * @since 2019/7/22 11:21
 * modifyInfo
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class WeatherStationInfo extends AbstractEquipmentInfo {
	public WeatherStationInfo() {
		super.setEquipmentType(EquipmentTypeEnum.WEATHERSTATION);
	}

	/**
	 * 绑定数据采集通道
	 */
	String bindTunnel;

}
