package com.jiayue.ipfcst.common.data.entity;

import com.jiayue.ipfcst.common.data.abst.equipmentinfo.AbstractEquipmentInfo;
import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * 测风塔实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/7/22 11:18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
public class WindTowerInfo extends AbstractEquipmentInfo {

    public WindTowerInfo() {
        super.setEquipmentType(EquipmentTypeEnum.WINDTOWER);
    }

    /**
     * 测风塔是否样板机
     */
    @Column
    private Boolean sample;

    /**
     * 绑定数据采集通道
     */
    String bindTunnel;

    /**
     * backupA 经度
     * backupB 纬度
     */


}
