package com.jiayue.ipfcst.common.data.entity.gathertunnelinfo;

import com.jiayue.ipfcst.common.data.entity.BaseTunnelInfo;
import com.jiayue.ipfcst.common.data.entity.ProtocolGatherDataPoint;
import com.jiayue.ipfcst.common.data.constant.enums.TunnelType;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.Proxy;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 文件解析数据通道
 *
 * @author: xiuwei
 * @version:
 */
@EqualsAndHashCode(callSuper = true)
@Entity
@Data
@Table()
@Proxy(lazy = false)
public class FileParseTunnelInfo extends BaseTunnelInfo<ProtocolGatherDataPoint>  {

  /**
   * 初始化时确定通道类型
   */
  public FileParseTunnelInfo() {
    this.setTunnelType(TunnelType.FILEPARSE);
  }



}
