package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.DisplayConfig;
import com.jiayue.ipfcst.common.data.repository.BaseRepository;


/**
 * 展示配置编码仓储
 *
 * @author yh
 * @version 1.0
 * @since 2019/9/26 11:23
 */
public interface DisplayConfigRepository extends BaseRepository<DisplayConfig, Integer> {

    /**
     *  按编码查询数据
     * @param displayCode 展示编码
     * @return 符合条件对象
     */
    DisplayConfig findByDisplayCode(String displayCode);
}
