package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.integration.InForecastPowerShortTerm;
import com.jiayue.ipfcst.common.data.repository.BaseRepository;

import java.util.List;

/**
 * 一体化短期实时仓储
 *
 * @author yh
 * @version 1.0
 * @since 2019/8/5 9:15
 */
public interface InForecastPowerShortTermRepository extends BaseRepository<InForecastPowerShortTerm, Integer> {


    List<InForecastPowerShortTerm> findByForecastTimeBetween(Long startTime,Long endTime);

    void deleteByForecastTimeBetween(Long startTime,Long endTime);
}
