package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.InverterInfo;

import java.util.List;

/**
 * 逆变器实体仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/6 13:00
 */
public interface InverterInfoRepository extends BaseRepository<InverterInfo, Integer> {

    /**
     * 根据ID排序查出所有逆变器设备信息
     * yh
     */
    List<InverterInfo> findAllByOrderByIdAsc();

    InverterInfo findByName(String name);

}
