package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.ManualInterventionData;

import java.util.List;

/**
 * 人工干预数据仓储
 *
 * @author tl
 * @version 3.0
 * @since 2020/9/21 11:02
 */
public interface ManualInterventionDataRepository extends BaseRepository<ManualInterventionData,Integer> {
    List<ManualInterventionData> findByInterveneTimeBetweenAndInterveneType(Long startTime, Long endTime, String interveneType);

    void deleteByInterveneTimeBetweenAndInterveneType(Long startTime,Long endTime,String interveneType);
}
