package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.ManualInterventionLog;

import java.util.List;

/**
 * 人工干预日志仓储
 *
 * @author tl
 * @version 3.0
 * @since 2020/9/21 11:02
 */
public interface ManualInterventionLogRepository extends BaseRepository<ManualInterventionLog,Integer> {
    List<ManualInterventionLog> findByOperationalTimeBetweenAndFileTypeOrderByOperationalTimeDesc(Long startTime, Long endTime, String fileType);


    List<ManualInterventionLog> findByFileTypeOrderByOperationalTimeDesc(String fileType);
}
