package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.NwpOne;

import java.util.List;

/**
 * nwp数据仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/9/26 11:23
 */
public interface NwpOneRepository extends BaseRepository<NwpOne, Integer> {

	void deleteByPreTimeBetween(Long startTime, Long endTime);

	/**
	 * 按时间段查询数据
	 *
	 * @param startTime
	 * @param endTime
	 */
	List<NwpOne> findByPreTimeBetween(Long startTime, Long endTime);
}
