package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.Nwp;

import java.util.List;

/**
 * nwp数据仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/9/26 11:23
 */
public interface NwpRepository extends BaseRepository<Nwp, Integer> {

	void deleteByPreTimeBetween(Long startTime, Long endTime);

	/**
	 * 按时间段查询数据
	 *
	 * @param startTime
	 * @param endTime
	 */
	List<Nwp> findByPreTimeBetween(Long startTime, Long endTime);
}
