package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.constant.enums.EquipmentTypeEnum;
import com.jiayue.ipfcst.common.data.entity.SubsidiaryEquipmentInfo;

import java.util.List;

/**
 * 附属设备信息仓储
 *
 * @author 修唯
 * @version 3.0
 */
public interface SubsidiaryEquipmentInfoRepository extends BaseRepository<SubsidiaryEquipmentInfo, Integer> {

    public List<SubsidiaryEquipmentInfo> findSubsidiaryEquipmentInfosByEquipmentType(EquipmentTypeEnum equipmentTypeEnum);

}
