package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.WeatherStationInfo;

import java.util.List;

/**
 * 环境检测仪实体仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/6 13:10
 */
public interface WeatherStationInfoRepository extends BaseRepository<WeatherStationInfo, Integer> {
    /**
     * 根据ID排序查出所有气象设备信息
     * yh
     */
    List<WeatherStationInfo> findAllByOrderByIdAsc();

    WeatherStationInfo findByName(String name);
}
