package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.entity.WindTurbineStatusData;

import java.util.Date;
import java.util.List;

/**
 * 风机数据实体仓储
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/6 13:02
 */
public interface WindTurbineStatusDataRepository extends BaseRepository<WindTurbineStatusData, Integer> {
    List<WindTurbineStatusData> findByTimeBetween(Date startTime, Date endTime);
    List<WindTurbineStatusData> findByTimeBetweenAndEquipmentNo(Date startTime, Date endTime,Integer no);

    List<WindTurbineStatusData> findByTimeBetweenAndEquipmentNoIn(Date startTime, Date endTime,Integer[] no);
}
