package com.jiayue.ipfcst.common.data.service.uploadfilerule;

import com.jiayue.ipfcst.common.data.entity.ElectricField;
import com.jiayue.ipfcst.common.data.entity.Quartz;

import java.util.Date;
import java.util.List;

/**
 * 短期预测功率上报文件生成接口类
 *
 * @author xsl
 * @version 3.0
 * @since 2020/4/13 20:00
 */
public interface IUploadFileRuleService {
    /**
     * 指定日期应该上报文件名称
     */
    public List<String> getShouldFile(ElectricField electricFieldInfo, Date date, String fileType, String cronStr);

    /**
     * 文件名称生成规则
     */
    public String getFileNameRule(ElectricField electricFieldInfo, String fileType, Long fileNameTime);
}
