package com.jiayue.ipfcst.console.controller;

import com.jiayue.ipfcst.common.core.web.vo.ResponseVO;
import com.jiayue.ipfcst.console.service.UploadInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UploadInfoController {

  @Autowired
  private UploadInfoService uploadInfoService;

  @GetMapping("uploadInfo/getByProvinceEnum/{provinceEnum}")
  public ResponseVO getByProvinceEnum(@PathVariable String provinceEnum){
    return ResponseVO.success(uploadInfoService.findByProvinceEnum(provinceEnum));
  }
}
