package com.jiayue.ipfcst.console.job;

import com.jiayue.ipfcst.console.service.DeleteUploadLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 清理上报日志执行任务
 *
 * @author xsl
 * @version 3.0
 */
@Service @EnableScheduling public class DeleteUploadLogJob {

  @Autowired private DeleteUploadLogService deleteUploadLogService;

  @Scheduled(cron = "0 11 3 * * ?") public void executeForecast() {
    this.deleteUploadLogService.executeDelete();
  }

}
