package com.jiayue.ipfcst.console.service;

import com.jiayue.ipfcst.common.data.constant.enums.ProvinceEnum;
import com.jiayue.ipfcst.common.data.entity.UploadInfo;
import com.jiayue.ipfcst.common.data.repository.UploadInfoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UploadInfoService {

  @Autowired
  private UploadInfoRepository uploadInfoRepository;


  public List<UploadInfo> findByProvinceEnum(String provinceEnum){
    return uploadInfoRepository.findByProvinceEnum(provinceEnum);
  }


}
