package com.jiayue.ipfcst.dataexchange.controller;

import com.jiayue.ipfcst.common.core.web.vo.ResponseVO;
import com.jiayue.ipfcst.common.data.entity.PowerLimitPlanSign;
import com.jiayue.ipfcst.dataexchange.dataprocesser.datapacker.iml.PowerStationDataPacker;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 审计
 *
 * @author zy
 * @version 3.0
 */
@Slf4j
@RequestMapping("powerStationDataPacker")
@RestController
public class PowerStationDataPackerController {
  @Autowired PowerStationDataPacker powerStationDataPacker;

  @RequestMapping
  public ResponseVO rationingByManualControl(PowerLimitPlanSign powerLimitPlanSign){
    powerStationDataPacker.setRationingByManualControl(powerLimitPlanSign);
    return ResponseVO.success();
  }
}
