/**
 * @author 修唯xiuwei
 * @version 3.0
 */
package com.jiayue.ipfcst.dataexchange.exception;


/*
在此定义dataexchange中的异常

DataExchangeException的异常编码及定义
0 未知异常

10000系列  代表tunnel创建和通信中出现的异常
10000 创建Tunnel失败
10001  端口被占用
10002 modbus TCP/RTU master 创建失败
10003 modbus 通讯数据帧解析异常
10004 modbus 数据帧传输异常
10005 modbus创建slave监听端口异常，端口可能被占用
10006 modbus slave 寄存机写入数据失败
10007 cdt rtu master创建通道失败
10008 104通道发送数据时发生异常
10009 104master通道创建时发生异常
10010 104slaver通道创建时发生异常
10011 modbus TCP slave 通道创建异常
10012 modbus RTU slave 通道创建异常
10013 cdt rtu slave通道创建时发生异常
10020 104master发送总召唤时编码异常
10021 计算器计算数据时发生异常


20000系列   代表与数据库交互中的异常

30000系列   代表对外暴漏的restful  controller接口的异常


40000系列  代表程序运行时出现的其他异常
40100 实体类组装器运行过程中反射机制引起的问题
40101  传入实体类实例化失败
40102  传入实体类构建实例时权限异常
40103  传入实体域注入值时权限异常
40104  "传入实体域注入值时类型异常"
40105  该工具不允许执行2s以下间隔的任务
40201  组装场站状态数据时发生异常


50000系列  代表程序中计算过程发生的错误
50001  用公式计算值时  检测出公式非可以运行的公式








 */
