package com.jiayue.ipfcst.dataexchange.service.equipmentstatusdata;

import com.jiayue.ipfcst.common.data.entity.InverterStatusData;
import com.jiayue.ipfcst.common.data.repository.InverterStatusDataRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 逆变器状态数据
 *
 * @author: xiuwei
 * @version:
 */
@Service
public class InverterStatusDataService {


  @Autowired
  InverterStatusDataRepository inverterStatusDataRepository;

  public InverterStatusData save(InverterStatusData inverterStatusData) {
    return inverterStatusDataRepository.save(inverterStatusData);
  }


  public List<InverterStatusData> save(List<InverterStatusData> inverterStatusData) {
    return inverterStatusDataRepository.saveAll(inverterStatusData);
  }

}
