package com.jiayue.ipfcst.dataexchange.service.equipmentstatusdata;

import com.jiayue.ipfcst.common.data.entity.WindTurbineStatusData;
import com.jiayue.ipfcst.common.data.repository.WindTurbineStatusDataRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 风机状态数据
 *
 * @author: xiuwei
 * @version:
 */
@Service
public class WindTurbineStatusDataService {

  @Autowired
  WindTurbineStatusDataRepository windTurbineStatusDataRepository;


  public WindTurbineStatusData save(WindTurbineStatusData windTurbineStatusData) {
    return windTurbineStatusDataRepository.save(windTurbineStatusData);
  }


  public List<WindTurbineStatusData> save(List<WindTurbineStatusData> windTurbineStatusData) {
    return windTurbineStatusDataRepository.saveAll(windTurbineStatusData);
  }

}
