package com.jiayue.ipfcst.fileupload.service;

import com.jiayue.ipfcst.common.data.entity.ElectricField;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 短期预测功率上报文件生成接口类
 *
 * @author xsl
 * @version 3.0
 * @since 2020/4/13 20:00
 */
public interface IUploadFileService {
  /**
   * 上报文件生成
   */
  public void generateFile(String fileType,Date date);
  /**
   * 获取上报文件类型
   */
  public Map<String,String> getUploadFileType();
}
