/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const comprehensiveStatisticsQueryRouter = {
  path: '/comprehensiveStatisticsQuery',
  component: Layout,
  redirect: 'noRedirect',
  name: 'comprehensiveStatisticsQuery',
  meta: {
    title: '综合统计查询',
    icon: 'chart'
  },
  children: [
    {
      path: 'comprehensiveStatisticsQuery',
      component: () => import('@/views/comprehensiveStatisticsQuery/comprehensiveStatistics'),
      name: 'comprehensiveStatistics',
      meta: { title: '综合统计查询', noCache: true },
      sign: 'currency'
    }
  ]
}

export default comprehensiveStatisticsQueryRouter
