/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const contrastQueryRouter = {
  path: '/constrastQuery',
  component: Layout,
  redirect: 'noRedirect',
  name: 'constrastQuery',
  meta: {
    title: '上报数据查询',
    icon: 'eye-open'
  },
  children: [
    {
      path: 'comprehensiveQueryg',
      component: () => import('@/views/contrastQuery/comprehensiveQuery'),
      name: 'comprehensiveQueryg',
      meta: { title: '光伏上报数据查询', noCache: true },
      sign: 'currency'
    },
    {
      path: 'comprehensiveQuery',
      component: () => import('@/views/contrastQueryOne/comprehensiveQuery'),
      name: 'comprehensiveQuery',
      meta: { title: '风电上报数据查询', noCache: true },
      sign: 'currency'
    },

    // {
    //   path: 'forecastPowerUltraShortTermHis',
    //   component: () => import('@/views/historicalQuery/forecastPowerUltraShortTermHis'),
    //   name: 'forecastPowerUltraShortTermHis',
    //   meta: { title: '短期上报日查询', noCache: true },
    //   sign: 'currency'
    // }
  ]
}

export default contrastQueryRouter
