/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const contrastRealTimeQuery = {
  path: '/contrastRealTimeQuery',
  component: Layout,
  redirect: 'noRedirect',
  name: 'contrastRealTimeQuery',
  meta: {
    title: '实时预测查询',
    icon: 'eye-open'
  },
  children: [

    {
      path: 'contrastRealTimeQuery',
      component: () => import('@/views/contrastRealTimeQuery'),
      name: 'contrastRealTimeQuery',
      meta: { title: '实时预测查询', noCache: true },
      sign: 'currency'
    }
  ]
}

export default contrastRealTimeQuery
