/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const exportConfigQuery = {
  path: '/exportConfigQuery',
  component: Layout,
  redirect: 'noRedirect',
  name: 'exportConfigQuery',
  meta: {
    title: '定时导出类型配置',
    icon: 'system'
  },
  children: [
    {
      path: 'exportConfigQuery',
      component: () => import('@/views/exportConfig'),
      name: 'exportConfigQuery',
      meta: { title: '定时导出类型配置', noCache: true },
      sign: 'currency'
    }
  ]
}

export default exportConfigQuery
