package com.jiayue.ipfcst.dto;

import com.jiayue.ipfcst.common.data.constant.enums.UploadProtocolEnum;
import lombok.Data;

/**
 * 上报对象状态DTO
 *
 * @author xsl
 * @version 3.0
 */
@Data
public class ChannelStatusDto {
  /**
   * 通道主键ID
   */
  private String channelId;
  /**
   * 通道名称
   */
  private String channelName;
  /**
   * 通道状态(1正常0不正常)
   */
  private String channelStatus;
  /**
   * 提示信息
   */
  private String tips;
}
