package com.jiayue.ipfcst.dto;

import lombok.Data;

import javax.persistence.Column;

/**
 * 上报通道信息DTO
 *
 * @author xsl
 * @version 3.0
 */
@Data
public class UploadChannelStatusDto {
  /**
   * 上报对象ID
   */
  private Integer uploadObjectId;
  /**
   * 通道名称
   */
  private String channelName;
  /**
   * 本地IP
   */
  private String localIp;
  /**
   * 本地端口
   */
  private String localPort;
  /**
   * 远端IP
   */
  private String remoteIp;
  /**
   * 远端端口
   */
  private String remotePort;
  /**
   * 通道状态(1正常0不正常)
   */
  private Integer uploadChannelStatus;
}
