package com.jiayue.ipfcst.repository;

import com.jiayue.ipfcst.common.data.entity.CustomReportForm;
import com.jiayue.ipfcst.common.data.repository.BaseRepository;

import java.util.List;


/**
 * 自定义报表仓储
 *
 * @author yh
 * @version 1.0
 * @since 2019/9/26 11:23
 */
public interface CustomReportFormRepository extends BaseRepository<CustomReportForm, Integer> {

  /**
   *
   * @param type
   * @return
   */
    List<CustomReportForm> findByTimingRealTime(String type);

    List<CustomReportForm> findByTimingRealTimeEquals(String timingOrRealTime);
}
